<!--
Copyright (C) 2018 Freetech Solutions

This file is part of OMniLeads

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

-->
{% load static %}
{% load i18n %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{% static 'bootstrap-3.3.6/css/bootstrap.min.css' %}">
    <script src="{% static 'jquery-2.2.4.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/moment.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'ominicontacto/JS/bootstrap-datetimepicker.min.js' %}"></script>
    <script type="text/javascript">
    $(document).ready(function() {

            $('#id_fecha').datetimepicker({format: 'YYYY-MM-DD'});
          $('#id_hora').datetimepicker({
          format: 'HH:mm',

          });



        });
    </script>
</head>
<body>
   {% for message in messages %}

        {% if "error" in message.tags %}

        <div class="alert alert-danger">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4>{% trans 'Error!' %}</h4>
            {{ message }}
        </div>

        {% elif "warning" in message.tags %}

        <div class="alert alert-warning">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4>{% trans 'Atención!' %}</h4>
            {{ message }}
        </div>

        {% elif "success" in message.tags %}

        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4>{% trans 'Finalizado:' %}</h4>
            {{ message }}
        </div>

        {% elif "info" in message.tags %}

        <div class="alert alert-info">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4>{% trans 'Información:' %}</h4>
            {{ message }}
        </div>

        {% elif "debug" in message.tags %} {# the same as "INFO" #}
        <div class="alert alert-info">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4>{% trans 'Información:' %}</h4>
            {{ message }}
        </div>

        {% else %} {# the same as "INFO" #}
        <div class="alert alert-info">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <h4>{% trans 'Información:' %}</h4>
            {{ message }}
        </div>

        {% endif %}
       {% endfor %}
<div class="row">
    <div class="col-md-9">
        <p><strong>{% trans 'Agenda para el contacto con el teléfono' %}</strong>{{contacto.telefono}} </p>
        <form action="" enctype="multipart/form-data" method="post">
    {% csrf_token %}
            {{ form.non_field_errors }}
            {{ form.contacto}}
            {{ form.agente}}
            {{ form.campana}}
    <div class="form-group row">
        {{ form.fecha.errors }}
        <label class="col-sm-3 control-label" for="{{ form.fecha.id_for_label }}">{% trans 'Fecha:' %}</label>
        <div class="col-sm-2">
            {{ form.fecha }}
        </div>
    </div>
    <div class="form-group row">
        {{ form.hora.errors }}
        <label class="col-sm-3 control-label" for="{{ form.hora.id_for_label }}">{% trans 'Hora:' %}</label>
        <div class="col-sm-2">
              {{ form.hora }}
        </div>
    </div>
    <div class="form-group row">
        {{ form.tipo_agenda.errors }}
        <label class="col-sm-3 control-label" for="{{ form.tipo_agenda.id_for_label }}">{% trans 'Tipo:' %}</label>
        <div class="col-sm-3">
              {{ form.tipo_agenda }}
        </div>
    </div>
    <div class="form-group row">
        {{ form.observaciones.errors }}
        <label class="col-sm-3 control-label" for="{{ form.observaciones.id_for_label }}">{% trans 'Observaciones:' %}</label>
        <div class="col-sm-6">
              {{ form.observaciones }}
        </div>
    </div>

    </br>
            <input class="btn btn-danger" action="action" type="button" value="{% trans "Volver a Calificación" %}" onclick="history.go(-1);" />
    <button type="submit" id="id_guardar" class="btn btn-success btn-lg">
        {% trans 'Guardar' %}
    </button>


</form>
    </div>
</div>
</body>
</html>
